PDA

View Full Version : Xine problem: cannot play mp3 or any other file



Reisswolf
1st February 2007, 09:11 PM
Hi,

Recently I reinstalled Core 6. In my first installation Xine worked without any problem after I followed Stanton Finley's instructions. But this time, even though I followed the same instructions, I cannot play anything in Xine. Every time I start the programme I get the following error message:


There is no demuxer plugin available to handle 'file:/usr/share/xine/skins/xine-ui_logo.mpv;.
Usually this means that the file format was not recognized.

Does anyone know what is going on? Without Xine I cannot use Amarok either, so I really need to get this problem fixed.

Thanks in advance for your help.

Reisswolf
2nd February 2007, 03:07 PM
Just a small bump!

itsthescottdog
2nd February 2007, 03:15 PM
Try installing xine-lib from the dries repo - this fixed the problem for me. http://dries.studentenweb.org/apt/packages/xine-lib/info.html

Reisswolf
2nd February 2007, 09:49 PM
But dries is known to conflict with livna. If I uninstall xine, then enable dries and install from there, won't I have a problem with dependencies?

Reisswolf
3rd February 2007, 07:20 PM
Hmm, as expected, I have been running into problems. When I try to install xine, xine-lib, xine-lib-extras from dries I get the following error message:



xine-lib-devel-1.1.4-1.fc 100% |=========================| 9.1 kB 00:00
---> Package xine-lib-devel.i386 0:1.1.4-1.fc6 set to be updated
---> Downloading header for xine-lib-moles to pack into transaction set.
xine-lib-moles-1.1.3-1.fc 100% |=========================| 20 kB 00:01
---> Package xine-lib-moles.i386 0:1.1.3-1.fc6.rf set to be updated
---> Downloading header for xine-lib-extras to pack into transaction set.
xine-lib-extras-1.1.4-1.f 100% |=========================| 6.3 kB 00:00
---> Package xine-lib-extras.i386 0:1.1.4-1.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: libdvdcss for package: xine-lib-moles
--> Processing Dependency: xine-lib = 1.1.3 for package: xine-lib-moles
--> Processing Dependency: libfame-0.9.so.1 for package: xine-lib-moles
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for libdvdcss to pack into transaction set.
libdvdcss-1.2.9-2.fc6.rf. 100% |=========================| 5.1 kB 00:04
---> Package libdvdcss.i386 0:1.2.9-2.fc6.rf set to be updated
---> Downloading header for libfame to pack into transaction set.
libfame-0.9.1-12.fc6.rf.i 100% |=========================| 5.4 kB 00:00
---> Package libfame.i386 0:0.9.1-12.fc6.rf set to be updated
--> Running transaction check
--> Processing Dependency: xine-lib = 1.1.3 for package: xine-lib-moles
--> Finished Dependency Resolution
Error: Missing Dependency: xine-lib = 1.1.3 is needed by package xine-lib-moles
[root@localhost ~]#


Anyway, I have removed xine from the system. I'll live with gmplayer for now.

nick.stumpos
3rd February 2007, 07:30 PM
did you install xine-lib-extras-nonfree if not do a
yum install xine-lib-extras-nonfree

itsthescottdog
3rd February 2007, 09:28 PM
Okay, this time, do not enable the dries repo. Just go to the link I posted and download the xine-lib rpm. Install the standalone package (again, do not have dries repo enabled). It should not overwrite anything from livna.